import request from '@/utils/request'

// 查询用户签到记录列表
export function listSignRecord(query) {
  return request({
    url: '/system/signRecord/list',
    method: 'get',
    params: query
  })
}

// 查询用户签到记录详细
export function getSignRecord(id) {
  return request({
    url: '/system/signRecord/' + id,
    method: 'get'
  })
}

// 新增用户签到记录
export function addSignRecord(data) {
  return request({
    url: '/system/signRecord',
    method: 'post',
    data: data
  })
}

// 修改用户签到记录
export function updateSignRecord(data) {
  return request({
    url: '/system/signRecord',
    method: 'put',
    data: data
  })
}

// 删除用户签到记录
export function delSignRecord(id) {
  return request({
    url: '/system/signRecord/' + id,
    method: 'delete'
  })
}
